Subject: Re: [PATCH net] tls: do not return error when the tls_bigint overflows in tls_advance_record_sn()

From: Jakub Kicinski <[email-masked]>
Date: Wed, 6 Sep 2023 08:02:31 -0700

On Wed, 6 Sep 2023 13:02:37 +0200 Sabrina Dubroca wrote:
> I've been running the selftests with async crypto and have collected a
> few fixes that I was going to post this week (but not this one, since
> we don't have a selftest for wrapping rec_seq). One of the patches
> adds -EBUSY checks for all existing -EINPROGRESS, since the crypto API
> can return -EBUSY as well if we're going through the backlog queue.

BTW is it possible to fake async crypto for a test or does one need 
to have an actual accelerator?